%define _disable_exceptions 1
%define build_bootstrap 0
%{?_with_bootstrap: %{expand: %%global build_bootstrap 1}}

%define snapshot 0
%define date 20130523

%if ! 0%{?build_bootstrap}
%define build_docs 1
%else
%define build_docs 0
%endif
%ifarch %{arm}
%define build_docs 0
%endif


%bcond_without postgres
%bcond_without mysql
%bcond_without sqlite
%bcond_without tds
%bcond_without cups
%bcond_with qvfb
%bcond_without examples
%bcond_without odbc

%bcond_with debug
%bcond_with ibase

%define qtmajor 5
%define qtminor 6
%define qtsubminor 2
%define pre rc

%define rel 9

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt %mklibname qt5base %qtmajor
%define libqtdevel %mklibname qt5base %qtmajor -d

%define libqtcore %mklibname qt5core %qtmajor
%define libqtcore_d %mklibname qt5core -d

%define libqtconcurrent %mklibname qt5concurrent %qtmajor
%define libqtconcurrent_d %mklibname qt5concurrent -d

%define libqtdbus %mklibname qt5dbus %qtmajor
%define libqtdbus_d %mklibname qt5dbus  -d

%define libqtsql %mklibname qt5sql %qtmajor
%define libqtsql_d %mklibname qt5sql -d

%define libqtgui %mklibname qt5gui %qtmajor
%define libqtgui_d %mklibname qt5gui -d

%define libqtnetwork %mklibname qt5network %qtmajor
%define libqtnetwork_d %mklibname qt5network -d

%define libqtopengl %mklibname qt5opengl %qtmajor
%define libqtopengl_d %mklibname qt5opengl -d

%define libqtprintsupport %mklibname qt5printsupport %qtmajor
%define libqtprintsupport_d %mklibname qt5printsupport -d

%define libqttest %mklibname qt5test %qtmajor
%define libqttest_d %mklibname qt5test -d

%define libqtwidgets %mklibname qt5widgets %qtmajor
%define libqtwidgets_d %mklibname qt5widgets -d

%define libqtxml %mklibname qt5xml %qtmajor
%define libqtxml_d %mklibname qt5xml -d

%define libqtbootstrap %mklibname qt5bootstrap %qtmajor
%define libqtbootstrap_d %mklibname qt5bootstrap -d

%define libqtplatformsupport %mklibname qt5platformsupport %qtmajor
%define libqtplatformsupport_d %mklibname qt5platformsupport -d

%define libqtegldeviceintegration %mklibname qt5egldeviceintegration %qtmajor
%define libqtegldeviceintegration_d %mklibname qt5egldeviceintegration -d

%define libqtxcbqpa %mklibname qt5xcbqpa %qtmajor
%define libqtxcbqpa_d %mklibname qt5xcbqpa -d

%define _qt5_prefix %_libdir/qt5
%define _qt5_datadir %{_qt5_prefix}
%define _qt5_bindir %{_qt5_prefix}/bin
%define _qt5_docdir %_docdir/qt5
%define _qt5_libdir %_libdir
%define _qt5_includedir %{_qt5_prefix}/include
%define _qt5_plugindir %{_qt5_prefix}/plugins
%define _qt5_demosdir %{_qt5_prefix}/demos
%define _qt5_examplesdir %{_qt5_prefix}/examples
%define _qt5_importdir %{_qt5_prefix}/imports
%define _qt5_testsdir %{_qt5_prefix}/tests
%define _qt5_translationdir %{_datadir}/qt5/translations
%define _qt5_settingsdir %{_sysconfdir}/xdg
%define _qt5_sysconfdir %{_qt5_settingsdir}

%if %snapshot
%define qttarballdir qtbase-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir qtbase-opensource-src-%{qtversion}
%endif


# Do not check any files in %%{_qt5_plugindir}/platformthemes/ for requires.
# Those themes are there for platform integration. If the required libraries are
# not there, the platform to integrate with isn't either. Then Qt will just
# silently ignore the plugin that fails to load. Thus, there is no need to let
# RPM drag in gtk2 as a dependency for the GTK+ 2 dialog support.
%global __requires_exclude_from ^%{_qt5_plugindir}/platformthemes/.*$

Name: qtbase5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%qttarballdir.tar.gz
Source2: qt5.macros
# xinitrc script to check for OpenGL 1 only drivers and automatically set
# QT_XCB_FORCE_SOFTWARE_OPENGL for them
Source3: qt5-fedora-check-opengl2.sh

#Branch Patchs
Patch0001:   0001-Fix-unused-variable-warning-on-iOS.patch
Patch0002:   0002-Mark-Apple-Clang-7.x-as-warning-free-on-macOS-and-al.patch
Patch0003:   0003-uic-generate-translate-calls-with-Q_NULLPTR-instead-.patch
Patch0004:   0004-qstrncpy-don-t-call-strncpy_s-with-invalid-parameter.patch
Patch0005:   0005-qcompilerdetection.h-retract-Q_COMPILER_DEFAULT_MEMB.patch
Patch0006:   0006-Ensure-the-fontdatabase-is-initialized-when-requesti.patch
Patch0007:   0007-Fix-crash-when-rendering-to-grayscale8-images.patch
Patch0008:   0008-Style-sheets-detect-and-apply-font-set-on-QHeaderVie.patch
Patch0009:   0009-Taking-trailing-whitespace-into-account-when-shaping.patch
Patch0010:   0010-QToolButton-fix-read-of-uninitialized-variable.patch
Patch0011:   0011-MySQL-Fix-MySQL-plugin-build-with-MySQL-5.0.patch
Patch0012:   0012-QDBusServer-delay-processing-of-D-Bus-messages.patch
Patch0013:   0013-Fixed-glitch-when-dragging-a-movable-QTabBar-tab.patch
Patch0014:   0014-QtWidgets-Send-show-hide-event-to-children-on-restor.patch
Patch0015:   0015-Never-return-char-variants-when-reading-prepared-MyS.patch
Patch0016:   0016-QStyleOption-return-Q_NULLPTR-from-qstyleoption_cast.patch
Patch0017:   0017-QLatin1String-Fix-UB-nullptr-passed-in-relational-op.patch
Patch0018:   0018-QDBusError-don-t-bother-dealing-with-unusable-unused.patch
Patch0019:   0019-xcb-Don-t-send-Qt-WindowNoState-event-when-hiding-mi.patch
Patch0020:   0020-QtWidgets-Fix-enter-leave-events-on-popup-menus.patch
Patch0021:   0021-Fixes-issue-with-iOS-when-project-path-has-a-whitesp.patch
Patch0022:   0022-Fix-typos-in-highdpi-docs.patch
Patch0023:   0023-QMenuBar-Get-rid-of-QMenuBarPrivate-nativeMenuBar.patch
Patch0024:   0024-dbustray-Delete-m_notifier-in-QDBusTrayIcon-cleanup.patch
Patch0025:   0025-dbusmenu-Don-t-leave-dangling-pointers-when-menus-ar.patch
Patch0026:   0026-Suppress-ICC-warning-111-about-unreachable-code-in-t.patch
Patch0027:   0027-Fix-handling-of-bad-compose-table.patch
Patch0028:   0028-Make-QDBusConnectionPrivate-relaySignal-be-called-in.patch
Patch0029:   0029-Fix-the-GCC-version-supporting-Wsuggest-override.patch
Patch0030:   0030-QTableGenerator-Fix-uninit-ed-values.patch
Patch0031:   0031-libjpeg-config-test-init-variable.patch
Patch0032:   0032-XCB-Drop-from-external-app-fix-keyboard-modifier-sta.patch
Patch0033:   0033-Q-Date-Time-to-from-String-mention-relevant-QLocale-.patch
Patch0034:   0034-Reverse-the-flush-screen-context-test.patch
Patch0035:   0035-Switch-to-7.0-screen-property-names.patch
Patch0036:   0036-xcb-Use-the-state-of-the-key-event-to-process-it.patch
Patch0037:   0037-QEvdevKeyboardHandler-use-RAII-in-create-ctor.patch
Patch0038:   0038-QBrush-Fix-UB-non-virtual-dtor-in-QBrush-detach.patch
Patch0039:   0039-multiwindow-Use-showNormal-instead-of-show-to-ensure.patch
Patch0040:   0040-multiwindow-React-to-mouse-press-to-allow-debugging-.patch
Patch0041:   0041-Update-swap-interval-of-QCocoaGLContext-after-creati.patch
Patch0042:   0042-multiwindow-Call-update-after-swap.patch
Patch0043:   0043-multiwindow-Replace-per-window-fps-timers-with-unifi.patch
Patch0044:   0044-multiwindow-Base-vsync-debug-output-on-actual-surfac.patch
Patch0045:   0045-QAbstractProxyModel-fix-sentence-structure-in-apidoc.patch
Patch0046:   0046-iOS-let-quiview-conform-to-API-signature-changes-in-.patch
Patch0047:   0047-iOS-explicit-synthesize-properties-as-readwrite.patch
Patch0048:   0048-iOS-open-menu-on-popup-regardless-of-visibility.patch
Patch0049:   0049-Add-missing-test-for-QReguarExpression-for-QTextDocu.patch
Patch0050:   0050-Doc-add-macOS-example-of-QAbstractNativeEventFilter-.patch
Patch0051:   0051-Bearer-ConnMan-Fix-getTechnologies-is-not-called.patch
Patch0052:   0052-Fix-bootstrap-applications-crashing-when-QT_MESSAGE_.patch
Patch0053:   0053-Pass-quiet-to-xcodebuild-when-invoking-make-with-s-o.patch
Patch0054:   0054-Q-Font-Color-File-Dialog-Fix-several-UBs-invalid-cas.patch
Patch0055:   0055-QGraphicsScene-Fix-UB-invalid-cast-in-removeItemHelp.patch
Patch0056:   0056-QGraphicsScene-Fix-UB-invalid-cast-in-Private-ungrab.patch
Patch0057:   0057-tst_QGraphicsItem-Fix-UB-invalid-cast-member-call-in.patch
Patch0058:   0058-Fix-Myanmar-text-with-some-fonts.patch
Patch0059:   0059-QToolTip-Hide-when-close-event-is-received.patch
Patch0060:   0060-QWindowPrivate-maybeQuitOnLastWindowClosed-Skip-tool.patch
Patch0061:   0061-Fix-test-for-sandboxed-platforms.patch
Patch0062:   0062-Fix-linear-RGB16-gradients.patch
Patch0063:   0063-QNetworkInterface-fix-reporting-of-virtual-interface.patch
Patch0064:   0064-QApplication-Fix-UB-invalid-cast-in-notify.patch
Patch0065:   0065-Q-Color-File-Dialog-Fix-several-UBs-invalid-cast-mem.patch
Patch0066:   0066-QGraphicsScene-don-t-search-for-nullptr.patch
Patch0067:   0067-QObject-test-check-that-throwing-from-a-child-s-cons.patch
Patch0068:   0068-QStackedLayout-Fix-UB-invalid-cast-in-qt_wasDeleted.patch
Patch0069:   0069-QLayout-Fix-UB-invalid-cast-in-widgetEvent.patch
Patch0070:   0070-Plug-memleaks-in-tst_QBoxLayout.patch
Patch0071:   0071-Plug-memleaks-in-tst_QGridLayout.patch
Patch0072:   0072-QSslSocket-respect-read-buffer-s-max-size-SecureTran.patch
Patch0073:   0073-Add-GLSL-version-110-on-Intel-with-compat-profiles.patch
Patch0074:   0074-QDateTimeEdit-synchronize-time-spec-before-initializ.patch
Patch0075:   0075-syncqt.pl-also-allow-digits-in-upper-case-macro-name.patch
Patch0076:   0076-Extend-tested-formats-in-lancelot.patch
Patch0077:   0077-QGraphicsAnchorLayout-Fix-invalid-use-of-Q_AUTOTEST_.patch
Patch0078:   0078-tst_QApplication-Fix-UBs-invalid-cast-in-focusMouseC.patch
Patch0079:   0079-QWidget-Fix-UB-invalid-cast-in-sendResizeEvents.patch
Patch0080:   0080-QTapAndHoldGestureRecognizer-Fix-several-UBs-invalid.patch
Patch0081:   0081-Plug-memleaks-in-tst_QWidget.patch
Patch0082:   0082-syncqt.pl-fix-a-few-misguided-regexes-to-match-.h-fi.patch
Patch0083:   0083-Add-the-ability-for-qmake-to-build-Xcode-asset-catal.patch
Patch0084:   0084-xcb-Treat-bitmap-cursors-differently-from-shaped-cur.patch
Patch0085:   0085-Fix-crash-when-doing-many-text-layouts-with-superscr.patch
Patch0086:   0086-doc-Fix-docs-of-QLayoutItem-widget.patch
Patch0087:   0087-QtTest-don-t-use-double-underhanded-identifiers.patch
Patch0088:   0088-fix-also-QMAKE_CXXFLAGS_RELEASE_WITH_DEBUGINFO.patch
Patch0089:   0089-copy-global-qdoc-config-files-in-non-prefix-shadow-b.patch
Patch0090:   0090-report-cumulativity-of-system-and-evaluator-error-ou.patch
Patch0091:   0091-fix-warning-in-qmakevfs-without-PROEVALUATOR_FULL.patch
Patch0092:   0092-tst_QAbstractSlider-fix-strict-aliasing-warnings.patch
Patch0093:   0093-Plug-remaining-leaks-in-tests-auto-widgets-style.patch
Patch0094:   0094-Data-files-for-binary-compatibility-tests-updated-fo.patch
Patch0095:   0095-iOS-hide-shortcuts-bar-on-iPad-when-showing-menus.patch
Patch0096:   0096-iOS-crash-fix-ensure-we-don-t-clear-focus-object-in-.patch
Patch0097:   0097-Fix-explicit-sdk-iphoneos-builds.patch
Patch0098:   0098-Plug-QMimeData-leaks-in-QXcbClipboard.patch
Patch0099:   0099-Plug-remaining-leaks-in-tests-auto-widgets-util.patch
Patch0100:   0100-Fix-signal-code-generation.patch
Patch0101:   0101-QFileSystemModel-fix-unused-variable-with-QT_NO_FILE.patch
Patch0102:   0102-QFileSystemModel-Plug-leak-on-file-renaming.patch
Patch0103:   0103-Revert-Doc-Added-enums-in-qnamespace.qdoc.patch
Patch0104:   0104-QCocoaEventDispatcher-Save-interrupt-state-between-e.patch
Patch0105:   0105-docs-Don-t-mark-qDrawBorderPixmap-as-overload.patch
Patch0106:   0106-winrt-Fix-compilation-for-projects-using-C-CX-extens.patch
Patch0107:   0107-Fix-some-typos-and-minor-sentence-structure-issues-i.patch
Patch0108:   0108-Plug-memleak-in-tst_QStackedWidget.patch
Patch0109:   0109-tst_QShortcut-Fix-UB-invalid-cast-in-shortcutDestroy.patch
Patch0110:   0110-Make-sure-SSL-configuration-is-correct-in-QNetworkRe.patch
Patch0111:   0111-Add-QMAKE_LFLAGS_SONAME-to-linker-flags-for-Android-.patch
Patch0112:   0112-Doc-Document-that-by-default-QTimer-is-not-single-sh.patch
Patch0113:   0113-QTextEdit-don-t-show-placeholder-text-while-composin.patch
Patch0114:   0114-Use-the-same-object-in-description-as-in-described-c.patch
Patch0115:   0115-QDBusDemarshaller-use-RAII-in-duplicate.patch
Patch0116:   0116-Plug-leak-in-QFormLayout-setWidget.patch
Patch0117:   0117-QGraphicsWidget-Fix-UB-invalid-member-calls-in-destr.patch
Patch0118:   0118-QPixmap-load-ensure-QBitmap-stays-a-QBitmap-even-on-.patch
Patch0119:   0119-Handle-short-reads-in-the-local-sockets-example.patch
Patch0120:   0120-QTemporaryFile-s-setFileTemplate-operates-not-only-o.patch
Patch0121:   0121-Skip-chmod-for-separate_debug_info-when-cross-compil.patch
Patch0122:   0122-Link-to-topLevelChanged-in-the-docs-of-QDockWidget-f.patch
Patch0123:   0123-Darwin-correct-state-restore-when-FSEventsStream-sta.patch
Patch0124:   0124-Fix-multimedia-print-key-mapping.patch
Patch0125:   0125-QAbstractItemView-use-only-a-1x1-QRect-for-selecting.patch
Patch0126:   0126-dbustray-Support-replacing-menu-on-QDBusTrayIcon.patch
Patch0127:   0127-QEvent-fix-typo-in-apidoc.patch
Patch0128:   0128-QDateTimeEditPrivate-only-ask-for-fieldInfo-if-secti.patch
Patch0129:   0129-Fix-QPixelFormat-typeInterpretation-for-Format_RGB88.patch
Patch0130:   0130-QtSql-compile-with-GCC-7.patch
Patch0131:   0131-Plug-leaks-in-tst_QXmlSimpleReader.patch
Patch0132:   0132-Plug-more-than-4k-leaks-in-tst_QGraphicsView.patch
Patch0133:   0133-Fix-gradient-race-condition-read-after-free.patch
Patch0134:   0134-QFileDialog-add-missing-break-statements-in-switch-i.patch
Patch0135:   0135-QCalendarWidget-fix-a-missing-break-statement.patch
Patch0136:   0136-QCalendarWidget-fix-misleading-if-else-cascade-in-QC.patch
Patch0137:   0137-QFusionStyle-add-missing-break-in-switch-in-drawCont.patch
Patch0138:   0138-QComboBox-add-missing-break-in-switch-in-keyPressEve.patch
Patch0139:   0139-tst_QWidget-Fix-UB-invalid-member-access-in-EnterTes.patch
Patch0140:   0140-QtDBus-compile-with-GCC-7.patch
Patch0141:   0141-QtOpenGl-compile-with-GCC-7.patch
Patch0142:   0142-harfbuzz-compile-with-GCC-7.patch
Patch0143:   0143-Blacklist-tst_MacNativeEvents-testMouseEnter.patch
Patch0144:   0144-QToolBarAreaLayoutInfo-add-missing-break-statements-.patch
Patch0145:   0145-QXcbShmImage-don-t-use-shmget-s-return-unless-it-suc.patch
Patch0146:   0146-Don-t-resize-windows-that-aren-t-attached-to-a-platf.patch
Patch0147:   0147-Android-Don-t-update-offscreen-windows.patch
Patch0148:   0148-Android-Ministro-updates.patch
Patch0149:   0149-Remove-unused-static-member-QIconLoaderEngineEntry-c.patch
Patch0150:   0150-Fix-illegal-memory-access-on-simple-image-rotates.patch
Patch0151:   0151-QIconLoaderEngine-add-missing-Q_DECL_OVERRIDEs.patch
Patch0152:   0152-QNetworkSession-make-sure-that-interface-isn-t-defin.patch
Patch0153:   0153-Document-that-am-pm-in-QDateTime-toString-are-locale.patch
Patch0154:   0154-Show-warning-when-setting-new-default-QSurfaceFormat.patch
Patch0155:   0155-Unset-qgl_current_fbo-when-the-default-FBO-is-bound.patch
Patch0156:   0156-Doc-add-notes-about-validator-and-completer-in-QComb.patch
Patch0157:   0157-QMimeXMLProvider-add-missing-out-of-line-destructor.patch
Patch0158:   0158-Specify-timeout-is-in-milliseconds.patch
Patch0159:   0159-configure.exe-Detect-MSVC-version-with-environment-v.patch
Patch0160:   0160-Doc-Fix-typo-in-QtStyledItemDelegate-paint-docs.patch
Patch0161:   0161-Match-MSVC-version-strings-in-other-languages-than-E.patch
Patch0162:   0162-fix-xcodebuilds-without-sdk-iphonesimulator.patch
Patch0163:   0163-iOS-Report-correct-physical-DPI-for-iPhone-7-Plus.patch
Patch0164:   0164-Fix-QtGui-compilation-without-OpenGL.patch
Patch0165:   0165-don-t-strip-off-plugin-subtypes.patch
Patch0166:   0166-normalize-name-of-plugin-default-linkage-overrides.patch
Patch0167:   0167-make-also-configure-tests-not-see-LIB-and-INCLUDE-un.patch
Patch0168:   0168-Fix-DBus-compilation.patch
Patch0169:   0169-QOrderedMutexLocker-fix-UB-pointer-comparison-with-i.patch
Patch0170:   0170-QCommonStyle-standardIcon-Add-64x64-Qt-logo-pixmap-f.patch
Patch0171:   0171-Apple-OS-Handle-QSetting-strings-with-embedded-zero-.patch
Patch0172:   0172-QAndroidPlatformTheme-wrap-char-in-QL1S-to-avoid-war.patch
Patch0173:   0173-QJsonDocument-fix-repetition-of-document-in-doc.patch
Patch0174:   0174-Windows-Fix-regression-in-QFSFileEnginePrivate-nativ.patch
Patch0175:   0175-Document-QClipboard-mimeData-can-be-null.patch
Patch0176:   0176-QOrderedMutexLocker-unlock-in-reverse-order-of-locki.patch
Patch0177:   0177-xcb-fix-passing-of-focus-from-child-to-its-top-level.patch
Patch0178:   0178-Don-t-crash-while-parsing-malformed-CSS.patch
Patch0179:   0179-PDF-Handle-monochrome-images-correctly.patch
Patch0180:   0180-macOS-Only-show-menu-and-allow-dragging-on-proxy-whe.patch
Patch0181:   0181-macOS-Don-t-override-the-set-tab-text-color-with-whi.patch
Patch0182:   0182-winrt-Added-timeout-for-cancellation-of-socket-read-.patch
Patch0183:   0183-QNetworkReplyHttpImpl-Fix-UB-member-call-in-destruct.patch
Patch0184:   0184-Fix-UB-ininited-pointer-read-in-qt_egl_device_integr.patch
Patch0185:   0185-QImage-cache-colortable-size.patch
Patch0186:   0186-QUrl-effective-TLDs-update-table.patch
Patch0187:   0187-Normalize-realpath-3-output-to-composed-form.patch
Patch0188:   0188-Fix-some-typos-in-docs-and-apidocs.patch
Patch0189:   0189-QFileInfo-fix-double-sentence-in-apidoc.patch
Patch0190:   0190-qxcbconnection.cpp-fix-warning-about-unused-function.patch
Patch0191:   0191-Fix-when-calling-QSurfaceFormat-setDefaultFormat-bef.patch
Patch0192:   0192-Plug-remaining-leaks-in-tests-auto-widgets-kernel.patch
Patch0193:   0193-tst_QGraphicsItem-plug-remaining-leaks.patch
Patch0194:   0194-QComboBox-fix-build-with-GCC-7.patch
Patch0195:   0195-Plug-leaks-in-tst_QWizard.patch
Patch0196:   0196-Remove-type-punning-from-ucstrncmp.patch
Patch0197:   0197-Don-t-claim-all-fonts-are-smoothly-scalable-on-Windo.patch
Patch0198:   0198-Darwin-normalize-all-watched-paths-to-composed-from.patch
Patch0199:   0199-Call-raise-on-the-window-that-contains-the-widget-an.patch
Patch0200:   0200-Don-t-change-the-size-of-widgets-just-because-it-is-.patch
Patch0201:   0201-QCocoaMenuBar-Update-even-if-no-window-is-attached.patch
Patch0202:   0202-don-t-moc-OBJECTIVE_SOURCES-twice.patch
Patch0203:   0203-unset-OBJECTIVE_SOURCES-and-QMAKE_OBJECTIVE_CFLAGS-a.patch
Patch0204:   0204-qversiontagging.h-Don-t-tag-binaries-in-static-mode.patch
Patch0205:   0205-Fix-possible-loss-of-data-in-conversion-from-size_t-.patch
Patch0206:   0206-Autotest-fix-silly-mistake-in-assigning-where-a-comp.patch
Patch0207:   0207-Document-that-qFuzzyCompare-does-not-work-on-NaN-or-.patch
Patch0208:   0208-iOS-refactor-usage-of-photos-into-optional-plugin.patch
Patch0209:   0209-iOS-link-photo-lib-plugin-based-on-Info.plist-conten.patch
Patch0210:   0210-Android-Fix-synthesized-oblique-for-non-latin-script.patch
Patch0211:   0211-qiosfileengineassetslibrary-replace-Q_DECL_OVERRIDE-.patch
Patch0212:   0212-Document-qGuiApp-and-tweap-qApp.patch
Patch0213:   0213-qmacmime-convert-UTF-16-using-QTextCodec.patch
Patch0214:   0214-Compilation-fix.patch
Patch0215:   0215-configure-Determine-MSVC-version-by-evaluating-macro.patch
Patch0216:   0216-nsphotolibrarysupport-add-missing-namespace-macros.patch
Patch0217:   0217-QAbstractSocket-avoid-unspecified-behavior-in-writin.patch
Patch0218:   0218-QWindowsXPStyle-Use-qreal-scale-factors-in-theme-dra.patch
Patch0219:   0219-QNSColorPanelDelegate-Don-t-restore-stolen-view-on-d.patch
Patch0220:   0220-QWidgetPrivate-remove-unused-declarations-of-methods.patch
Patch0221:   0221-Doc-CSS-Add-styling-for-content-generated-with-legal.patch
Patch0222:   0222-Doc-Fix-a-typo-in-QtConcurrent-example-snippet.patch
Patch0223:   0223-Fixed-crash-taking-null-central-widget.patch
Patch0224:   0224-MSVC-Fix-installation-of-PDB-files-for-static-librar.patch
Patch0225:   0225-Doc-Fix-typos-handing-handling.patch
Patch0226:   0226-windows-Disable-OpenGL-proper-on-Intel-945.patch
Patch0227:   0227-minimalegl-Reorder-includes-to-avoid-EGL-native-type.patch
Patch0228:   0228-Mark-the-entire-widget-dirty-when-changing-flush-pat.patch
Patch0229:   0229-QMainWindow-fix-wording-in-apidoc.patch
Patch0230:   0230-doc-Document-two-undocumented-functions.patch
Patch0231:   0231-Fix-building-when-lex-source-refers-to-a-file-genera.patch
Patch0232:   0232-Update-bookmarks-in-the-XML-bookmarks-examples.patch
Patch0233:   0233-Include-intrin.h-header-when-using-MSVC.patch
Patch0234:   0234-Mention-QDialog-setSizeGripEnabled-in-QSizeGrip-s-do.patch
Patch0235:   0235-Add-QPixmapIconEngine-pixmap-pointer-check.patch
Patch0236:   0236-winrt-Fixed-assignment-of-readOrigin-in-readDatagram.patch
Patch0237:   0237-Stop-unloading-plugins-in-QPluginLoader-and-QFactory.patch
Patch0238:   0238-Fix-tiling-on-a-width-over-2048.patch
Patch0239:   0239-Fix-GCC-warning-about-ODR-violation.patch
Patch0240:   0240-Stop-using-readdir_r-glibc-deprecated-it-and-it-s-no.patch
Patch0241:   0241-Fix-OOM-crashes-for-huge-json-documents.patch
Patch0242:   0242-vcxproj-generator-Support-the-DEBUG-FASTLINK-option-.patch
Patch0243:   0243-remove-dependencies-from-sync.profile.patch
Patch0244:   0244-iOS-fix-incompatible-pointer-type-compiler-warning.patch
Patch0245:   0245-winrt-Proper-guarding-by-readMutex.patch
Patch0246:   0246-winrt-Fix-potential-memory-corruption.patch
Patch0247:   0247-Only-turn-off-font-hinting-when-scale-is-1.patch
Patch0248:   0248-macOS-Clear-event-dispatcher-interrupt-state.patch
Patch0249:   0249-Prevent-stale-QOpenGLContext-fbo-pointer.patch
Patch0250:   0250-Cocoa-Make-child-window-cursors-work-correctly.patch
Patch0251:   0251-QStyleHelper-uniqueName-Improve-palette-pixmap-cache.patch
Patch0252:   0252-QGraphicsWidget-add-missing-break-statement-to-switc.patch
Patch0253:   0253-QGraphicsSceneBspTreeIndex-fix-misleading-code-in-ev.patch
Patch0254:   0254-QFontconfigDatabase-remove-200-unneeded-relocations.patch
Patch0255:   0255-winrt-Do-not-copy-into-a-reference.patch
Patch0256:   0256-winrt-remove-superfluous-code.patch
Patch0257:   0257-QLabel-take-DPR-of-QMovie-in-account-when-calculatin.patch
Patch0258:   0258-Documentation-Specify-units-for-QTextDocument-pageSi.patch
Patch0259:   0259-Correct-a-Q_CHECK_PTR-s-parameter.patch
Patch0260:   0260-Don-t-count-no-break-spaces-as-trailing-spaces.patch
Patch0261:   0261-Do-not-guard-tslib-with-evdev.patch
Patch0262:   0262-Enable-GL-prototypes-with-recent-Khronos-headers.patch
Patch0263:   0263-xcb-Warn-and-bail-out-when-even-the-basic-dummy-cont.patch
Patch0264:   0264-Improve-the-validation-algorithm-for-binary-JSON.patch
Patch0265:   0265-Fix-writing-into-application-directory.patch
Patch0266:   0266-Remove-unused-variable-in-QIconLoader-findIconHelper.patch
Patch0267:   0267-doc-Remove-obsolete-note-for-QWidget-paintEvent.patch
Patch0268:   0268-doc-Add-missing-documentation-for-QXcbWindowFunction.patch
Patch0269:   0269-fix-section-s-bad-argument-count-error-message.patch
Patch0270:   0270-don-t-create-bogus-property-variants.patch
Patch0271:   0271-fix-wording-issues-in-license-prompt.patch
Patch0272:   0272-drop-obsolete-file.patch
Patch0273:   0273-tst_QFileSystemModel-specialFiles-Remove-Windows-par.patch
Patch0274:   0274-qmake-fix-installation-of-asset-catalog-files.patch
Patch0275:   0275-Revert-Optimize-QJsonObject-operator.patch
Patch0276:   0276-QClipboard-Fix-emitting-changed-in-XCB.patch
Patch0277:   0277-Cocoa-Make-dictation-via-speech-recognition-work.patch
Patch0278:   0278-Stabilize-tst_QFileDialog2-task143519_deleteAndRenam.patch
Patch0279:   0279-QFontEngine-Cache-whether-or-not-a-font-can-be-smoot.patch
Patch0280:   0280-QXbmHandler-fix-missing-NUL-termination.patch
Patch0281:   0281-QCss-Fix-parsing-of-charset.patch
Patch0282:   0282-docs-Reference-QLineEdit-hasAcceptableInput-in-setVa.patch
Patch0283:   0283-QXbmHandler-don-t-construct-a-QByteArray-just-to-fin.patch
Patch0284:   0284-Fix-warnings-in-tst_q-table-list-widget.patch
Patch0285:   0285-Use-QPersistentModelIndex-for-storing-a-model-index.patch
Patch0286:   0286-QDateTimeParser-localize-variable-to-avoid-shadowing.patch
Patch0287:   0287-Speculative-fix-for-tst_QThread-wait2-flakiness.patch
Patch0288:   0288-tst_QDateTimeEdit-Use-base-method-not-direct-member-.patch
Patch0289:   0289-Doc-Add-missing-reference-to-qInfo.patch
Patch0290:   0290-Also-release-winmain-qopenglextensions-under-commerc.patch
Patch0291:   0291-eglfs-fix-eglfs_mali-compile-for-odroid-mali.patch
Patch0292:   0292-QFutureInterface-make-accesses-to-state-thread-safe.patch
Patch0293:   0293-qnativesocketengine_winrt-do-not-shadow-a-variable.patch
Patch0294:   0294-tst_qstandardpaths-Disable-WOW64-redirection-on-Wind.patch
Patch0295:   0295-tst_QFormLayout-Fix-UB-invalid-enum-value-in-several.patch
Patch0296:   0296-Adjust-comment-to-new-spec-name.patch
Patch0297:   0297-Add-support-for-Visual-Studio-2017.patch
Patch0298:   0298-Enable-constexpr-support-for-Visual-Studio-2017.patch
Patch0299:   0299-Handle-RemovePath-correctly-when-calling-matches.patch
Patch0300:   0300-Add-more-information-for-QKeySequence-toString-on-ma.patch
Patch0301:   0301-win-Show-Tech-Preview-license.patch
Patch0302:   0302-eglfs-Avoid-unexpectedly-flushing-QPA-input-events.patch
Patch0303:   0303-Document-QMAKE_OBJECTIVE_CFLAGS.patch
Patch0304:   0304-QDir-tempPath-use-NSTemporaryDirectory-on-Darwin.patch
Patch0305:   0305-If-there-are-no-available-sizes-then-fallback-to-the.patch
Patch0306:   0306-Windows-QPA-Do-not-send-key-events-for-mouse-synthes.patch
Patch0307:   0307-qmake-fix-up-dist-targets-for-mingw-nmake-somewhat.patch
Patch0308:   0308-unbreak-aux-template-for-mingw-msvc-take-2.patch
Patch0309:   0309-Fix-qmldir-copying-in-debug-and-release-builds-on-Wi.patch
Patch0310:   0310-_q_networkSessionClosed-disconnect-the-correct-objec.patch
Patch0311:   0311-Typo-fix-in-QDateTime-toString-documentation.patch
Patch0312:   0312-Fix-two-leaky-uses-of-realloc.patch
Patch0313:   0313-QDateTimeParser-introduce-at-least-some-encapsulatio.patch
Patch0314:   0314-ICC-Fix-MySQL-driver-build.patch
Patch0315:   0315-Remove-nokia-reference-in-example-mimetype.patch
Patch0316:   0316-Android-All-gcc-flags-should-be-set-for-clang-too.patch
Patch0317:   0317-add-docs-for-QPlatformTheme-WheelScrollLines-MouseDo.patch
###########Patch0318:   0318-Bump-version.patch
Patch0319:   0319-Fix-the-JPEG-EXIF-reader-to-deal-with-some-broken-co.patch
Patch0320:   0320-Don-t-crash-on-QVLA-construction-from-an-empty-std-i.patch
Patch0321:   0321-Improve-reliability-of-network-bearer-tests.patch
Patch0322:   0322-Fix-capitalization-of-PlatformToolset.patch
Patch0323:   0323-Fix-crash-when-dragging-a-tab-off-QDockWidgetGroupWi.patch
Patch0324:   0324-Disable-core-dumps-for-selftests-that-are-meant-to-b.patch
Patch0325:   0325-Fix-qdrawhelper-function-toRGB64.patch
Patch0326:   0326-Android-Add-missing-override.patch
Patch0327:   0327-Android-Use-override-instead-of-Q_DECL_OVERRIDE.patch
Patch0328:   0328-winrt-Check-for-removed-timers-after-sending-events.patch
Patch0329:   0329-Accept-ZWNJ-ZWJ-and-PUA-characters-in-input-widgets.patch
Patch0330:   0330-Fix-broken-link-in-documentation.patch
Patch0331:   0331-QCocoaMenu-Avoid-exception-when-inserting-item-alrea.patch
Patch0332:   0332-unbreak-aux-template-for-mingw-msvc-take-3.patch
Patch0333:   0333-Adjust-QNX-choices.patch
Patch0334:   0334-QNX-Fix-comments-on-qcompilerdetection.h.patch
Patch0335:   0335-QGradientCache-fix-a-new-delete-mismatch.patch
Patch0336:   0336-QHostAddress-add-missing-docs.patch
Patch0337:   0337-Fix-UB-signed-integer-overflows-in-QProgressBar.patch
Patch0338:   0338-QAndroidStyle-fix-UB-signed-integer-overflow-in-Andr.patch
Patch0339:   0339-QPixmapStyle-do-not-assume-minimum-0-when-painting-p.patch
Patch0340:   0340-Fix-GCC-7-developer-build.patch
Patch0341:   0341-Stabilize-tst_QPropertyAnimation-noStartValue.patch
Patch0342:   0342-Use-Q_NULLPTR-in-qDBusRegisterMetaType.patch
Patch0343:   0343-Accept-all-formatting-characters-as-valid-input.patch
Patch0344:   0344-Fix-dock-widget-having-the-wrong-parent-after-a-drag.patch
Patch0345:   0345-Clear-dock-indicator-when-not-over-a-floating-dock-g.patch
Patch0346:   0346-Fix-clipping-error-on-some-RTL-text.patch
Patch0347:   0347-QSystemTrayIcon-initialize-all-members.patch
Patch0348:   0348-Plug-memleaks-in-tst_QStackedLayout.patch
Patch0349:   0349-QTest-addColumn-Use-nullptr-instead-of-0.patch
Patch0350:   0350-Unbreak-ubsan-developer-build.patch
Patch0351:   0351-QStringMatcher-fix-setCaseSensitivity-on-a-non-QStri.patch
Patch0352:   0352-Fix-detection-of-WinCE-SDKs-with-MSVC2015.patch
Patch0353:   0353-Windows-QPA-Call-InvalidateRect-in-WM_PAINT-GL-Softw.patch
Patch0354:   0354-Fix-UB-data-race-in-tst_QThreadPool-cancel.patch
Patch0355:   0355-tst_QThreadPool-simplify-cancel.patch
Patch0356:   0356-Wait-for-runnables-to-start-up-in-tst_QThreadPool-ca.patch
Patch0357:   0357-tst_QThreadPool-don-t-deadlock-when-a-cancel-test-fa.patch
Patch0358:   0358-Remove-the-name-cache-from-QMetaType-typeName.patch
Patch0359:   0359-xcb-Allow-to-disable-XInput-2-support-by-setting-QT_.patch
Patch0360:   0360-QInputDialog-prevent-crash-in-static-get-functions-w.patch
Patch0361:   0361-PNG-image-handler-Avoid-invalid-distance-too-far-bac.patch
Patch0362:   0362-QVarLengthArray-fix-appending-an-already-contained-i.patch
Patch0363:   0363-QLoggingRegistry-fix-potential-data-race.patch
Patch0364:   0364-QFileDialog-Protect-against-nullptr-dereference.patch
Patch0365:   0365-Fix-crash-while-dropping-a-tabbed-group-into-a-singl.patch
Patch0366:   0366-Android-Fix-OpenGL-shader-compilation-on-updated-emu.patch
Patch0367:   0367-Blacklist-tst_QTimer-remainingTime-on-Windows-and-ma.patch
Patch0368:   0368-Blacklist-tst_QPauseAnimation-multipleSequentialGrou.patch
Patch0369:   0369-Fix-crash-for-glyphs-with-height-128.patch         
Patch0370:   0370-Fix-documentation-typos.patch
Patch0371:   0371-xcb-fix-misuse-of-xcb_send_event.patch                  
Patch0372:   0372-Fix-for-horizontal-scrollbars.patch                       
Patch0373:   0373-QTimeZone-do-not-access-static-functions-through-thi.patch
Patch0374:   0374-QAtomic-pass-explicit-failure-memory-order-to-std-at.patch
Patch0375:   0375-xpm-image-format-Reject-corrupt-images-with-invalid-.patch
Patch0376:   0376-Close-popups-when-blocked-by-modal-dialog.patch
Patch0377:   0377-Fix-parsing-of-day-of-week-names-that-start-with-ano.patch
Patch0378:   0378-QChar-fix-docs-of-uchar-ctor.patch
Patch0379:   0379-linux-icc-always-compile-applications-as-position-in.patch
Patch0380:   0380-Call-disconnectNotify-when-disconnecting-a-QMetaObje.patch
Patch0381:   0381-QDir-mkpath-don-t-try-to-mkdir-in-automount-filesyst.patch
Patch0382:   0382-PostgreSQL-fix-datetime-format-when-system-locale-do.patch
Patch0383:   0383-tst_QMimeDatabase-increase-update-mime-database-time.patch
Patch0384:   0384-QToolBox-fix-potential-UB-invalid-cast-in-Private-_q.patch
Patch0385:   0385-QGuiVariant-fix-unintended-fall-through.patch
Patch0386:   0386-Fix-hang-on-sleep-wakeup.patch
Patch0387:   0387-QDockWidget-Fix-memory-leak-when-dragging-a-tab-outs.patch
Patch0388:   0388-WINCE-Don-t-receive-touches-by-default-from-gestures.patch
Patch0389:   0389-QVarLengthArray-fix-compilation-with-GCC-7.patch
Patch0390:   0390-Bump-copyright-year.patch  
Patch0391:   0391-Fix-crash-in-QWindowPrivate-applyCursor-when-screen-.patch  
Patch0392:   0392-Fix-floating-dock-widget-having-the-wrong-parent.patch
#Trunk Patchs
#Patch from Mageia
# (blino) revert upstream patch that forbids -reduce-relocations on ARM
# since -Bsymbolic is fixed on ARM in ld 2.25 (QTBUG-36129 and binutils#16715)
#Patch100: qtbase5-revert-old-arm-linker-limitation.patch
#Patch101: qtbase-opensource-src-%{qtversion}-fix-review-140750.patch

# Security patches

# Testing patches

BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(xcb)
BuildRequires: pkgconfig(xcb-image)
BuildRequires: pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-keysyms)
BuildRequires: pkgconfig(xcb-renderutil)
BuildRequires: pkgconfig(xkbcommon) >= 0.4.1
BuildRequires: pkgconfig(libinput)
BuildRequires: pkgconfig(xcb-xkb) >= 1.10
BuildRequires: pkgconfig(xkbcommon-x11) >= 0.4.1
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(gl)
BuildRequires: mesa-common-devel
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(libpng)
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: libmng-devel
BuildRequires: pkgconfig(lcms)
BuildRequires: cups-devel
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: expat-devel
BuildRequires: pkgconfig(dbus-1) >= 0.92
BuildRequires: termcap-devel
BuildRequires: libpam-devel
BuildRequires: readline-devel
BuildRequires: perl
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: binutils >= 2.18
# For qtgtk style
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gstreamer-1.0)
BuildRequires: pkgconfig(gstreamer-app-1.0)
#BuildRequires: pkgconfig(vg)
BuildRequires: cmake-rpm-macros
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libudev)
BuildRequires: pkgconfig(libsystemd)
BuildRequires: pkgconfig(harfbuzz) >= 0.9.42
BuildRequires: pkgconfig(libproxy-1.0)
BuildRequires: pkgconfig(tslib-1.0)

BuildRequires: git-core

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run Qt
applications, as well as the README files for Qt.

#------------------------------------------------------------------------------

%package common
Summary: Qt%{qtmajor} Config and Language Files
Group: Development/KDE and Qt
Provides: qt5-common = %version-%release
Obsoletes: qt5-common 
#TODO Mga6: Split qttranslations5 into subpackages
%if %{build_bootstrap}
Requires:  qttranslations5 
%endif

%description common
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

Configuration and language files for Qt%{qtmajor}.

%files common
%attr(0755,root,root) %{_sysconfdir}/profile.d/*
%dir %{_qt5_bindir}
%{_qt5_bindir}/syncqt.pl
%dir %{_qt5_plugindir}
%{_qt5_plugindir}/generic
%{_qt5_plugindir}/bearer
%dir %{_qt5_docdir}
%{_qt5_docdir}/global

#------------------------------------------------------------------------------

%package examples
Summary: Example programs made with Qt%{qtmajor}
Group:   Documentation
Provides: qt5-examples = %version-%release
Obsoletes: qt5-examples

%description examples
Example programs made with Qt%{qtmajor}.

%files examples
%{_qt5_examplesdir}

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtBase%{qtmajor} APIs and tools docs
Group:   Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtBase5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/*.qch
%{_qt5_docdir}/qmake/
%{_qt5_docdir}/qtconcurrent/
%{_qt5_docdir}/qtcore/
%{_qt5_docdir}/qtdbus/
%{_qt5_docdir}/qtgui/
%{_qt5_docdir}/qtnetwork/
%{_qt5_docdir}/qtopengl/
%{_qt5_docdir}/qtplatformheaders/
%{_qt5_docdir}/qtprintsupport/
%{_qt5_docdir}/qtsql/
%{_qt5_docdir}/qttestlib/
%{_qt5_docdir}/qtwidgets/
%{_qt5_docdir}/qtxml/
%endif

#------------------------------------------------------------------------------

%if ! %without odbc

%package -n %{_lib}qt5-database-plugin-odbc
Summary: Qt%{qtmajor} Database ODBC Database Plugin
Group: Databases
Provides: qt5-database-plugin-odbc = %version-%release
Obsoletes: qt5-database-plugin-odbc

Provides:  qtbase5-database-plugin-odbc = %version-%release
Obsoletes: qtbase5-database-plugin-odbc < 5.5.1-2

BuildRequires: unixODBC-devel
 
%description -n %{_lib}qt5-database-plugin-odbc
The QODBC driver allows you to connect to an ODBC (Open Database 
Connectivity) driver manager and access the available data sources.

%files -n %{_lib}qt5-database-plugin-odbc
%{_qt5_plugindir}/sqldrivers/libqsqlodbc.so

%endif

#------------------------------------------------------------------------------

%if ! %without mysql

%package -n %{_lib}qt5-database-plugin-mysql
Summary: Qt%{qtmajor} MYSQL Database Plugin
Group: Databases
BuildRequires: mysql-devel
Provides: qt5-database-plugin-mysql = %version-%release
Obsoletes: qt5-database-plugin-mysql

Provides:  qtbase5-database-plugin-mysql = %version-%release
Obsoletes: qtbase5-database-plugin-mysql < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-mysql
Database plugin for mysql Qt support.

%files -n %{_lib}qt5-database-plugin-mysql
%{_qt5_plugindir}/sqldrivers/libqsqlmysql.so

%endif

#------------------------------------------------------------------------------

%if ! %without sqlite

%package -n %{_lib}qt5-database-plugin-sqlite
Summary: Qt%{qtmajor} SQLITE Database Plugin
Group: Databases
BuildRequires: sqlite3-devel
Provides: qt5-database-plugin-sqlite = %version-%release
Obsoletes: qt5-database-plugin-sqlite

Provides:  qtbase5-database-plugin-sqlite = %version-%release
Obsoletes: qtbase5-database-plugin-sqlite < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-sqlite
The Qt SQLite plugin makes it possible to access SQLite databases.

%files -n %{_lib}qt5-database-plugin-sqlite
%{_qt5_plugindir}/sqldrivers/libqsqlite.so
%endif

#------------------------------------------------------------------------------

%if ! %without tds

%package -n %{_lib}qt5-database-plugin-tds
Summary: Qt%{qtmajor} FREETDS Database Plugin
Group: Databases
BuildRequires: freetds-devel
Provides: qt5-database-plugin-tds = %version-%release
Obsoletes: qt5-database-plugin-tds

Provides:  qtbase5-database-plugin-tds = %version-%release
Obsoletes: qtbase5-database-plugin-tds < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-tds
Database plugin for freetds Qt support.

%files -n %{_lib}qt5-database-plugin-tds
%{_qt5_plugindir}/sqldrivers/libqsqltds.so

%endif

#------------------------------------------------------------------------------

%if %with ibase

%package -n %{_lib}qt5-database-plugin-ibase
Summary: Qt%{qtmajor} Interbase Database Plugin
Group: Databases
BuildRequires: firebird-devel
Provides: qt5-database-plugin-ibase = %version-%release
Obsoletes: qt5-database-plugin-ibase

Provides:  qtbase5-database-plugin-ibase = %version-%release
Obsoletes: qtbase5-database-plugin-ibase < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-ibase
Database plugin for interbase Qt support.

%files -n %{_lib}qt5-database-plugin-ibase
%{_qt5_plugindir}/sqldrivers/libqsqlibase.so

%endif

#------------------------------------------------------------------------------

%if ! %without postgres

%package -n %{_lib}qt5-database-plugin-pgsql
Summary: Qt%{qtmajor} PGSQL Database Plugin
Group: Databases
BuildRequires: postgresql-devel
BuildRequires: libpq-devel
Provides: qt5-database-plugin-pgsql = %version-%release
Obsoletes: qt5-database-plugin-pgsql

Provides:  qtbase5-database-plugin-pgsql = %version-%release
Obsoletes: qtbase5-database-plugin-pgsql < 5.5.1-2

%description -n %{_lib}qt5-database-plugin-pgsql
Database plugin for pgsql Qt support.

%files -n %{_lib}qt5-database-plugin-pgsql
%{_qt5_plugindir}/sqldrivers/libqsqlpsql.so

%endif

#------------------------------------------------------------------------------
# CORE QT LIBRARIES
#------------------------------------------------------------------------------

%package -n %{libqtcore}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtcore}
Qt%{qtmajor} Component Library.

The QtCore module contains core non-GUI functionality.

%files -n %{libqtcore}
%{_qt5_libdir}/libQt5Core.so.%{qtmajor}*
# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
%ifarch %{ix86}
%{_qt5_libdir}/sse2/libQt5Core.so.%{qtmajor}*
%endif

#------------------------------------------------------------------------------

%package -n %{libqtcore_d}
Summary: Devel files needed to build apps based on QtCore
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtcore} = %version
Provides: libqtcore5-devel = %version
Provides: libqt5core-devel = %version
Provides: qt5core-devel = %version
Provides: qtcore5-devel = %version

Provides: qt5core-private-devel = %version
Provides: qtcore5-private-devel = %version

Obsoletes: %{_lib}qt5core-private-devel < 5.6.0-1
Provides:  %{_lib}qt5core-private-devel = %{version}-%{release}

%description -n %{libqtcore_d}
Devel files needed to build apps based on QtCore.

%files -n %{libqtcore_d}
%{_qt5_libdir}/libQt5Core.prl
%{_qt5_libdir}/libQt5Core.so
%{_qt5_libdir}/pkgconfig/Qt5Core.pc
%{_qt5_libdir}/cmake/Qt5Core
%{_qt5_libdir}/cmake/Qt5/Qt5Config.cmake
%{_qt5_libdir}/cmake/Qt5/Qt5ConfigVersion.cmake
%{_qt5_includedir}/QtCore

#------------------------------------------------------------------------------

%package -n %{libqtsql}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtsql}
Qt%{qtmajor} Component Library.

%files -n %{libqtsql}
%{_qt5_libdir}/libQt5Sql.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtsql_d}
Summary: Devel files needed to build apps based on QtSql
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtsql} = %version
%if ! %without odbc 
Requires: qtbase5-database-plugin-odbc
%endif
%if ! %without tds
Requires: qtbase5-database-plugin-tds
%endif
%if ! %without mysql
Requires: qtbase5-database-plugin-mysql
%endif
%if ! %without postgres
Requires: qtbase5-database-plugin-pgsql
%endif
%if ! %without sqlite
Requires: qtbase5-database-plugin-sqlite
%endif
Provides: libqtsql5-devel = %version
Provides: libqt5sql-devel = %version
Provides: qt5sql-devel = %version
Provides: qtsql5-devel = %version

Provides: libqtsql5-private-devel = %version
Provides: libqt5sql-private-devel = %version
Provides: qt5sql-private-devel = %version
Provides: qtsql5-private-devel = %version

Obsoletes: %{_lib}qt5sql-private-devel < 5.6.0-1
Provides:  %{_lib}qt5sql-private-devel = %{version}-%{release}

%description -n %{libqtsql_d}
Devel files needed to build apps based on QtSql.

%files -n %{libqtsql_d}
%{_qt5_libdir}/libQt5Sql.prl
%{_qt5_libdir}/libQt5Sql.so
%{_qt5_libdir}/pkgconfig/Qt5Sql.pc
%{_qt5_libdir}/cmake/Qt5Sql
%{_qt5_includedir}/QtSql

#------------------------------------------------------------------------------

%package -n %{libqtdbus}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtdbus}
Qt%{qtmajor} Component Library.

The QtCore module contains core non-GUI functionality.

%files -n %{libqtdbus}
%{_qt5_libdir}/libQt5DBus.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtdbus_d}
Summary: Devel files needed to build apps based on QtCore
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtdbus} = %version
Provides: libqtdbus5-devel = %version
Provides: libqt5dbus-devel = %version
Provides: qt5dbus-devel = %version
Provides: qtdbus5-devel = %version

Provides: qt5dbus-private-devel = %version
Provides: qtdbus5-private-devel = %version

Obsoletes: %{_lib}qt5dbus-private-devel < 5.6.0-1
Provides:  %{_lib}qt5dbus-private-devel = %{version}-%{release}

%description -n %{libqtdbus_d}
Devel files needed to build apps based on QtCore.

%files -n %{libqtdbus_d}
%{_qt5_libdir}/libQt5DBus.prl
%{_qt5_libdir}/libQt5DBus.so
%{_qt5_libdir}/pkgconfig/Qt5DBus.pc
%{_qt5_libdir}/cmake/Qt5DBus
%{_qt5_includedir}/QtDBus

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent}
Summary: Qt%{qtmajor} 3D Lib
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtconcurrent}
Qt%{qtmajor} 3D Lib.

%files -n %{libqtconcurrent}
%{_qt5_libdir}/libQt5Concurrent.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtconcurrent_d}
Summary: Devel files needed to build apps based on QtConcurrent
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtconcurrent} = %version
Provides: libqtconcurrent5-devel = %version
Provides: libqt5concurrent-devel = %version
Provides: qt5concurrent-devel = %version
Provides: qtconcurrent5-devel = %version

%description -n %{libqtconcurrent_d}
Devel files needed to build apps based on QtConcurrent.

%files -n %{libqtconcurrent_d}
%{_qt5_libdir}/libQt5Concurrent.so
%{_qt5_libdir}/libQt5Concurrent.prl
%{_qt5_libdir}/pkgconfig/Qt5Concurrent.pc
%{_qt5_libdir}/cmake/Qt5Concurrent
%{_qt5_includedir}/QtConcurrent

#------------------------------------------------------------------------------

%package -n %{libqtgui}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}
# (doktor5000) glxinfo binary required by script qt5-check-opengl2.sh
Requires: glxinfo

%description -n %{libqtgui}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtgui}
%{_qt5_libdir}/libQt5Gui.so.%{qtmajor}*
# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
%ifarch %{ix86}
%{_qt5_libdir}/sse2/libQt5Gui.so.%{qtmajor}*
%endif
%{_qt5_plugindir}/imageformats/
%{_qt5_plugindir}/platforminputcontexts
%{_qt5_plugindir}/platformthemes
%{_qt5_plugindir}/platforms
%{_sysconfdir}/X11/xinit.d/qt5-check-opengl2.sh

#------------------------------------------------------------------------------

%package -n %{libqtgui_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common = %{version}-%{release}
Requires:  %name-common-devel = %{version}-%{release}
#(nl) see : https://bugreports.qt-project.org/browse/QTBUG-39859
Requires: mesaegl-devel
Requires: %{libqtgui} = %version
# referenced by Qt5Gui cmake files
Requires:  %{libqtxcbqpa_d} = %{version}-%{release}
Requires:  %{libqtegldeviceintegration_d} = %{version}-%{release}

Provides: libqtgui5-devel = %version
Provides: libqt5gui-devel = %version
Provides: qtgui5-devel = %version
Provides: qt5gui-devel = %version

Obsoletes: %{_lib}qt5gui-private-devel < 5.6.0-1
Provides:  %{_lib}qt5gui-private-devel = %{version}-%{release}

Provides: qtgui5-private-devel = %version
Provides: qt5gui-private-devel = %version

%description -n %{libqtgui_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtgui_d}
%{_qt5_libdir}/libQt5Gui.prl
%{_qt5_libdir}/libQt5Gui.so
%{_qt5_libdir}/pkgconfig/Qt5Gui.pc
%{_qt5_libdir}/cmake/Qt5Gui
%{_qt5_includedir}/QtGui

#------------------------------------------------------------------------------

%package -n %{libqtnetwork}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtnetwork}
Qt%{qtmajor} Component Library.

The QtNetwork module provides classes to make network programming easier
and portable.

%files -n %{libqtnetwork}
%{_qt5_libdir}/libQt5Network.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtnetwork_d}
Summary: Devel files needed to build apps based on QtNetwork
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtnetwork} = %version
Provides: libqtnetwork5-devel = %version
Provides: libqt5network-devel = %version
Provides: qtnetwork5-devel = %version
Provides: qt5network-devel = %version

Obsoletes: %{_lib}qt5network-private-devel < 5.6.0-1
Provides:  %{_lib}qt5network-private-devel = %{version}-%{release}

Provides: qtnetwork5-private-devel = %version
Provides: qt5network-private-devel = %version

%description -n %{libqtnetwork_d}
Devel files needed to build apps based on QtNetwork.

%files -n %{libqtnetwork_d}
%{_qt5_libdir}/libQt5Network.prl
%{_qt5_libdir}/libQt5Network.so
%{_qt5_libdir}/pkgconfig/Qt5Network.pc
%{_qt5_libdir}/cmake/Qt5Network
%{_qt5_includedir}/QtNetwork

#------------------------------------------------------------------------------

%package -n %{libqtopengl}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtopengl}
Qt%{qtmajor} Component Library.

The QtOpenGL module offers classes that make it easy to use OpenGL in 
Qt applications.

%files -n %{libqtopengl}
%{_qt5_libdir}/libQt5OpenGL.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtopengl_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtopengl} = %version
Provides: libqtopengl5-devel = %version
Provides: libqt5opengl-devel = %version
Provides: qtopengl5-devel = %version
Provides: qt5opengl-devel = %version

Obsoletes: %{_lib}qt5opengl-private-devel < 5.6.0-1
Provides:  %{_lib}qt5opengl-private-devel = %{version}-%{release}

Provides: qtopengl5-private-devel = %version
Provides: qt5opengl-private-devel = %version

%description -n %{libqtopengl_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtopengl_d}
%{_qt5_libdir}/libQt5OpenGL.prl
%{_qt5_libdir}/libQt5OpenGL.so
%{_qt5_libdir}/libQt5OpenGLExtensions.a
%{_qt5_libdir}/libQt5OpenGLExtensions.prl
%{_qt5_libdir}/pkgconfig/Qt5OpenGLExtensions.pc
%{_qt5_libdir}/pkgconfig/Qt5OpenGL.pc
%{_qt5_libdir}/cmake/Qt5OpenGL
%{_qt5_libdir}/cmake/Qt5OpenGLExtensions/
%{_qt5_includedir}/QtOpenGL
%{_qt5_includedir}/QtOpenGLExtensions

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtprintsupport}
Qt%{qtmajor} Lib.

%files -n %{libqtprintsupport}
%{_qt5_libdir}/libQt5PrintSupport.so.%{qtmajor}*
%{_qt5_plugindir}/printsupport

#------------------------------------------------------------------------------

%package -n %{libqtprintsupport_d}
Summary: Devel files needed to build apps based on QtPrintSupport
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtprintsupport} = %version
Provides: libqtprintsupport5-devel = %version
Provides: libqt5printsupport-devel = %version
Provides: qtprintsupport5-devel = %version
Provides: qt5printsupport-devel = %version

Obsoletes: %{_lib}qt5printsupport-private-devel < 5.6.0-1
Provides:  %{_lib}qt5printsupport-private-devel = %{version}-%{release}

Provides: qtprintsupport5-private-devel = %version
Provides: qt5printsupport-private-devel = %version

%description -n %{libqtprintsupport_d}
Devel files needed to build apps based on QtPrintSupport.

%files -n %{libqtprintsupport_d}
%{_qt5_libdir}/libQt5PrintSupport.so
%{_qt5_libdir}/libQt5PrintSupport.prl
%{_qt5_libdir}/pkgconfig/Qt5PrintSupport.pc
%{_qt5_libdir}/cmake/Qt5PrintSupport
%{_qt5_includedir}/QtPrintSupport

#------------------------------------------------------------------------------

%package -n %{libqttest}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqttest}
Qt%{qtmajor} Component Library.

The QtTest module provides classes for unit testing Qt applications and
libraries.

%files -n %{libqttest}
%{_qt5_libdir}/libQt5Test.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqttest_d}
Summary: Devel files needed to build apps based on QtTest
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqttest} = %version
Requires: %{libqttest_d} = %version
Provides: libqttest5-devel = %version
Provides: libqt5test-devel = %version
Provides: qttest5-devel = %version
Provides: qt5test-devel = %version

Obsoletes: %{_lib}qt5test-private-devel < 5.6.0-1
Provides:  %{_lib}qt5test-private-devel = %{version}-%{release}

Provides: qttest5-private-devel = %version
Provides: qt5test-private-devel = %version

Requires: qtwidgets5-devel = %version-%release

%description -n %{libqttest_d}
Devel files needed to build apps based on QtTest.

%files -n %{libqttest_d}
%{_qt5_libdir}/libQt5Test.prl
%{_qt5_libdir}/libQt5Test.so
%{_qt5_libdir}/pkgconfig/Qt5Test.pc
%{_qt5_libdir}/cmake/Qt5Test
%{_qt5_includedir}/QtTest

#------------------------------------------------------------------------------

%package -n %{libqtwidgets}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtwidgets}
Qt%{qtmajor} Lib.

%files -n %{libqtwidgets}
%{_qt5_libdir}/libQt5Widgets.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtwidgets_d}
Summary: Devel files needed to build apps based on QtWidgets
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtwidgets} = %version
Provides: libqtwidgets5-devel = %version
Provides: libqt5widgets-devel = %version
Provides: qtwidgets5-devel = %version
Provides: qt5widgets-devel = %version

Obsoletes: %{_lib}qt5widgets-private-devel < 5.6.0-1
Provides:  %{_lib}qt5widgets-private-devel = %{version}-%{release}

Provides: qtwidgets5-private-devel = %version
Provides: qt5widgets-private-devel = %version

%description -n %{libqtwidgets_d}
Devel files needed to build apps based on QtWidgets.

%files -n %{libqtwidgets_d}
%{_qt5_libdir}/libQt5Widgets.so
%{_qt5_libdir}/libQt5Widgets.prl
%{_qt5_libdir}/pkgconfig/Qt5Widgets.pc
%{_qt5_libdir}/cmake/Qt5Widgets
%{_qt5_includedir}/QtWidgets

#------------------------------------------------------------------------------

%package -n %{libqtxml}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtxml}
Qt%{qtmajor} Component Library.

The QtXml module provides a stream reader and writer for XML documents,
and C++ implementations of SAX and DOM.

%files -n %{libqtxml}
%{_qt5_libdir}/libQt5Xml.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtxml_d}
Summary: Devel files needed to build apps based on QtXml
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtxml} = %version
Provides: libqtxml5-devel = %version
Provides: libqt5xml-devel = %version
Provides: qtxml5-devel = %version
Provides: qt5xml-devel = %version

%description -n %{libqtxml_d}
Devel files needed to build apps based on QtXml.

%files -n %{libqtxml_d}
%{_qt5_libdir}/libQt5Xml.prl
%{_qt5_libdir}/libQt5Xml.so
%{_qt5_libdir}/pkgconfig/Qt5Xml.pc
%{_qt5_libdir}/cmake/Qt5Xml
%{_qt5_includedir}/QtXml

#------------------------------------------------------------------------------

%package -n %{libqtplatformsupport_d}
Summary: Devel files needed to build apps based on QtPlatformSupport
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Provides: libqtplatformsupport5-devel = %version
Provides: libqt5platformsupport-devel = %version
Provides: qtplatformsupport5-devel = %version
Provides: qt5platformsupport-devel = %version
# For compatibility
Obsoletes: %{_lib}qt5platform-private-devel < 5.6.0
Provides:  %{_lib}qt5platform-private-devel = %{version}-%{release}

Provides: qtplatformsupport5-private-devel = %version
Provides: qt5platformsupport-private-devel = %version

%description -n %{libqtplatformsupport_d}
Devel files needed to build iapps based on QtPlatformSupport.

%files -n %{libqtplatformsupport_d}
%{_qt5_libdir}/libQt5PlatformSupport.a
%{_qt5_libdir}/libQt5PlatformSupport.prl
%{_qt5_includedir}/QtPlatformSupport
%{_qt5_includedir}/QtPlatformHeaders

#------------------------------------------------------------------------------

%package -n %{libqtbootstrap_d}
Summary: Devel files needed to build apps based on QtBootstrap
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Provides: libqtbootstrap5-devel = %version

%description -n %{libqtbootstrap_d}
Devel files needed to build apps based on QtBootstrap.

%files -n %{libqtbootstrap_d}
%{_qt5_libdir}/libQt5Bootstrap.a
%{_qt5_libdir}/libQt5Bootstrap.prl


#------------------------------------------------------------------------------

%package -n %{libqtegldeviceintegration}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtegldeviceintegration}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtegldeviceintegration}
%{_qt5_libdir}/libQt5EglDeviceIntegration.so.%{qtmajor}*
%{_qt5_plugindir}/egldeviceintegrations

#------------------------------------------------------------------------------

%package -n %{libqtegldeviceintegration_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtgui} = %version
Provides: libqtegldeviceintegration5-devel = %version
Provides: libqt5egldeviceintegration-devel = %version
Provides: qtegldeviceintegration5-devel = %version
Provides: qt5egldeviceintegration-devel = %version

%description -n %{libqtegldeviceintegration_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtegldeviceintegration_d}
%{_qt5_libdir}/libQt5EglDeviceIntegration.prl
%{_qt5_libdir}/libQt5EglDeviceIntegration.so

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Requires(pre): %{name}-common = %{version}

%description -n %{libqtxcbqpa}
Qt%{qtmajor} Component Library.

The QtGui module extends QtCore with GUI functionality.

%files -n %{libqtxcbqpa}
%{_qt5_libdir}/libQt5XcbQpa.so.%{qtmajor}*
%{_qt5_plugindir}/xcbglintegrations

#------------------------------------------------------------------------------

%package -n %{libqtxcbqpa_d}
Summary: Devel files needed to build apps based on QtContacts
Group:    Development/KDE and Qt
Requires(pre): %{name}-common = %{version}
Requires:  %name-common-devel = %{version}-%{release}
Requires: %{libqtgui} = %version
Provides: libqtxcbqpa5-devel = %version
Provides: libqt5xcbqpa-devel = %version
Provides: qtxcbqpa5-devel = %version
Provides: qt5xcbqpa-devel = %version

%description -n %{libqtxcbqpa_d}
Devel files needed to build apps based on QtContacts.

%files -n %{libqtxcbqpa_d}
%{_qt5_libdir}/libQt5XcbQpa.prl
%{_qt5_libdir}/libQt5XcbQpa.so

#------------------------------------------------------------------------------

%package -n %{libqtdevel}
Summary:   Development files for the Qt%{qtmajor} GUI toolkit
Group:     Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}
Provides:  qt5-devel = %{version}-%{release}
Provides:  qtbase5-devel = %{version}-%{release}
Provides:  libqtbase5-devel = %{version}-%{release}
Provides:  libqt5-devel = %{version}-%{release}

Requires:  %name-common-devel = %{version}-%{release}
Requires:  %{libqtconcurrent_d} = %{version}-%{release}
Requires:  %{libqtdbus_d} = %{version}-%{release}
Requires:  %{libqtcore_d} = %{version}-%{release}
Requires:  %{libqtsql_d} = %{version}-%{release}
Requires:  %{libqtgui_d} = %{version}-%{release}
Requires:  %{libqtnetwork_d} = %{version}-%{release}
Requires:  %{libqtopengl_d} = %{version}-%{release}
Requires:  %{libqtprintsupport_d} = %{version}-%{release}
Requires:  %{libqttest_d} = %{version}-%{release}
Requires:  %{libqtwidgets_d} = %{version}-%{release}
Requires:  %{libqtxml_d} = %{version}-%{release}
Requires:  %{libqtbootstrap_d} = %{version}-%{release}
Requires:  %{libqtxcbqpa_d} = %{version}-%{release}
Requires:  %{libqtegldeviceintegration_d} = %{version}-%{release}

%description -n %{libqtdevel}
The %{name}-devel package contains the files necessary to develop
applications using the Qt GUI toolkit: the header files, the Qt
meta object compiler, and the static libraries.  See the address
http://qt-project.org/ for more information about Qt%{qtmajor}.

%files -n %{libqtdevel}

#-------------------------------------------------------------------

%package -n %name-common-devel
Summary:   Development files for the Qt%{qtmajor} GUI toolkit
Group:     Development/KDE and Qt
Requires(pre):  %{name}-common = %{version}

%description -n %name-common-devel
Common files needed to build application based on Qt5

%post -n %name-common-devel
update-alternatives --install %{_bindir}/qmake qmake %{_qt5_bindir}/qmake 20

%postun -n %name-common-devel
if ! [ -e %{_qt5_bindir}/qmake ]; then
  update-alternatives --remove qmake %{_qt5_bindir}/qmake
fi

%files -n %name-common-devel
%{_sysconfdir}/rpm/macros.d/qt5.macros
%{_qt5_bindir}/moc
%{_qt5_bindir}/qdbusxml2cpp
%{_qt5_bindir}/qdbuscpp2xml
%{_qt5_bindir}/qmake
%{_qt5_bindir}/rcc
%{_qt5_bindir}/uic
%{_qt5_bindir}/qlalr
%{_qt5_bindir}/fixqt4headers.pl
%{_qt5_datadir}/mkspecs
%dir %{_qt5_libdir}/cmake
%if "%{_qt5_includedir}" != "%{_includedir}"
%dir %{_qt5_includedir}
%endif

#------------------------------------------------------------------------------

%prep
#setup -q -n qtbase-opensource-src-%{qtversion}
%autosetup -S git -n qtbase-opensource-src-%{qtversion}
# Unlike Fedora, we don't modify the installed mkspecs to contain our flags,
# which would have the side effect that plain 'qmake' would use them as well
# (i.e. even when not building an rpm), which is not really wanted. Our
# packages are built with %%qmake_qt5 (qt5.macros) which already overrides the
# flags, so altering qmake default configuration for that is unnecessary.
# Since the Qt configure script doesn't support defining custom flags, we
# still have to temporarily override the flags below - they are restored in
# %%install. -Anssi
cp mkspecs/linux-g++/qmake.conf mkspecs/linux-g++/qmake.conf.upstream
cat >> mkspecs/linux-g++/qmake.conf <<EOF
QMAKE_CFLAGS   = %{optflags}
QMAKE_CXXFLAGS = %{optflags}
QMAKE_LFLAGS   = %{ldflags}
QMAKE_STRIP    =
# Note that setting QMAKE_LFLAGS_PLUGIN here would do no good, as it would
# just get appended to $QMAKE_LFLAGS instead of replacing it.
EOF

sed -e "s|^QMAKE_CFLAGS_RELEASE .*$|QMAKE_CFLAGS_RELEASE    += %{optflags}  -fno-strict-aliasing -DPIC -fPIC| " -e 's|^QMAKE_CXXFLAGS .*|& -std=gnu++0x|' -i mkspecs/common/gcc-base.conf mkspecs/common/gcc-base-unix.conf

%if 0
# set correct lib path (from fedora)
if [ "%{_lib}" == "lib64" ] ; then
    sed -i -e "s,/usr/lib /lib,/usr/%{_lib} /%{_lib},g" config.tests/{unix,x11}/*.test
    sed -i -e "s,/lib /usr/lib,/%{_lib} /usr/%{_lib},g" config.tests/{unix,x11}/*.test
fi
%endif

%build
export QTDIR=`/bin/pwd`
export PATH="$PWD/bin:$PWD/qtrepotools/bin:$PATH"
export QMAKESPEC=$PWD/mkspecs/linux-g++
# Don't include headers or link with /usr/X11R6/{include,lib}
perl -pi -e 's@/X11R6/@/@' mkspecs/linux-*/qmake.conf mkspecs/common/linux.conf

#------------------------------------------------------------------------------

# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
# -no-sse2: compile by default without sse2 support on i586, which also requires
# -no-pch:  do not use pre compiled headers (in order to be able to rebuild the gui submodule)

./configure -v \
    -confirm-license \
    -opensource \
    -optimized-qmake \
    -prefix %{_qt5_prefix} \
    -bindir %{_qt5_bindir} \
    -datadir %{_qt5_datadir} \
    -docdir %{_qt5_docdir} \
    -examplesdir %{_qt5_examplesdir} \
    -headerdir %{_qt5_includedir} \
    -importdir %{_qt5_importdir} \
    -libdir %{_qt5_libdir} \
    -plugindir %{_qt5_plugindir} \
    -sysconfdir %{_qt5_sysconfdir} \
    -translationdir %{_qt5_translationdir} \
%ifarch %ix86
    -no-sse2 \
%endif
%if %with debug
    -debug \
    -verbose \
    -developer-build \
%else
    -release \
    -silent \
%endif
    -shared \
    -no-separate-debug-info \
    -no-rpath \
    -no-pch \
    -reduce-relocations \
    -openssl-linked \
    -dbus-linked \
%if %{with qvfb}   
   -qvfb \
%endif
    -gtkstyle \
    -opengl desktop \
    -platform linux-g++ \
    -sm \
    -system-libpng \
    -system-libjpeg \
    -system-zlib \
    -xinput \
    -xcursor \
    -xfixes \
    -xinerama \
    -xshape \
    -xrandr \
    -xkb \
    -system-xkbcommon \
    -system-harfbuzz \
    -glib \
    -gstreamer 1.0 \
    -journald \
%if ! %{with_cups}
    -no-cups \
%endif
%if ! %without postgres
    -plugin-sql-psql \
%endif
%if ! %without mysql
    -plugin-sql-mysql \
%else
    -no-sql-mysql \
%endif
%if %with ibase
    -plugin-sql-ibase \
%else
    -no-sql-ibase \
%endif
%if ! %without sqlite
    -plugin-sql-sqlite \
    -system-sqlite \
    -no-sql-sqlite2 \
%else
    -no-sql-sqlite \
    -no-sql-sqlite2 \
%endif
%if ! %without odbc
    -plugin-sql-odbc \
%else
    -no-sql-odbc \
%endif
%if %without examples
    -nomake examples
%endif

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"

################## Build of QtBase ########################################

make -j $RPM_BUILD_NCPUS

################## Build of Docs ########################################
%if %{build_docs}
# HACK to avoid multilib conflicts in noarch content
# see also https://bugreports.qt-project.org/browse/QTBUG-42071
QT_HASH_SEED=0; export QT_HASH_SEED

%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# (doktor5000) provide SSE2-enabled library in separate subdir as recommended by upstream
# https://bugreports.qt-project.org/browse/QTBUG-35430 
# first rebuild relevant libraries with SSE2 support, install to %{_qt5_libdir}/sse2/
# taken from Debian - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=754894

%ifarch %{ix86}
mkdir -p %{buildroot}/%{_qt5_libdir}/sse2
	# corelib needs make clean first to be able to rebuild
	pushd src/corelib; make clean ; ../../bin/qmake -config sse2; make
	cp -av ../../lib/libQt5Core.so.* %{buildroot}/%{_qt5_libdir}/sse2/
	popd
	# gui on turn doesn't needs it, and actually fails if done.
	pushd src/gui; ../../bin/qmake -config sse2; make
	cp -av ../../lib/libQt5Gui.so.* %{buildroot}/%{_qt5_libdir}/sse2/
	popd
%endif

install -d %{buildroot}/%{_qt5_docdir}
install -d %{buildroot}/%{_sysconfdir}
install -d %{buildroot}/%{_sysconfdir}/profile.d

# recreate .qm files
#LD_LIBRARY_PATH=`pwd`/lib bin/lrelease translations/*.ts

%if %{with qvfb}
    # Install qvfb
    %make -C tools/qvfb INSTALL_ROOT=%{buildroot} install
%else
rm -f %{buildroot}%{_qt5_translationdir}/qvfb*.qm
%endif


# Fix mkspec link
pushd  %{buildroot}/%{_qt5_datadir}/mkspecs
rm -f default
ln -sf %{_qt5_datadir}/mkspecs/linux-g++ default
popd

# Restore qmake.conf to the upstream version which was backed up in %%prep
mv %{buildroot}%{_qt5_datadir}/mkspecs/linux-g++/qmake.conf.upstream %{buildroot}%{_qt5_datadir}/mkspecs/linux-g++/qmake.conf

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec sed -i -e "s, -L%{_builddir}/?\S+,,g" -e "s,-L../JavaScriptCore/release,,g" -e "s,-ljscore,,g" {} \;
find %{buildroot}/%{_qt5_datadir}/mkspecs -name 'qmake.conf' -exec chmod -x -- {} \;
find %{buildroot}/%{_qt5_datadir}/mkspecs -name Info.plist.app -exec chmod -x -- {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# Install rpm macros
mkdir -p %{buildroot}/%{_sysconfdir}/rpm/macros.d
install -m 0644 %SOURCE2 %{buildroot}/%{_sysconfdir}/rpm/macros.d

# Install Compat software OpenGL 1.x
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
install -m 0755 %SOURCE3 %{buildroot}%{_sysconfdir}/X11/xinit.d/qt5-check-opengl2.sh

# Profiles
cat > %{buildroot}/%{_sysconfdir}/profile.d/60qt5.sh << EOF
#!/bin/bash
QTDIR5="%{_qt5_prefix}" ; export QTDIR5 ;

[ -z \$QT5DOCDIR ] && export QT5DOCDIR=%{_qt5_docdir}

if [ -z \$(echo \$PATH | grep "%{_qt5_bindir}") ]; then
    PATH=\${PATH}:%{_qt5_bindir}
    export PATH
fi

EOF

cat > %{buildroot}/%{_sysconfdir}/profile.d/60qt5.csh << EOF
#!/bin/csh
setenv QTDIR5 %{_qt5_prefix}
if ( ! \$?QT5DOCDIR ) setenv QT5DOCDIR %{_qt5_docdir}
set path = (\$path \$QTDIR5/bin)
EOF



# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
# .a files are needed by qttols5
#rm -f %%{buildroot}%%{_qt5_libdir}/lib*.a



%changelog
* Wed Mar 29 2017 neoclust <neoclust> 5.6.2-9.mga6
+ Revision: 1095202
- Update to 5.6 branch to help to fix plasma crashes

* Mon Mar 20 2017 akien <akien> 5.6.2-8.mga6
+ Revision: 1093710
- Rebuild against bootstrapped qtbase5

* Mon Mar 20 2017 neoclust <neoclust> 5.6.2-7.mga6
+ Revision: 1093670
- Rebuild against new icu
- Sync with 5.6 branch

* Sun Jan 01 2017 neoclust <neoclust> 5.6.2-6.mga6
+ Revision: 1079241
- Fix Requires

* Sat Dec 31 2016 luigiwalser <luigiwalser> 5.6.2-5.mga6
+ Revision: 1078907
- fix requires for qt5gui-devel

  + daviddavid <daviddavid>
    - enable libproxy and tslib support

* Tue Dec 13 2016 neoclust <neoclust> 5.6.2-3.mga6
+ Revision: 1074459
- enable journald support

* Tue Dec 13 2016 stormi <stormi> 5.6.2-2.mga6
+ Revision: 1074432
- Add build dependency to pkgconfig(sm) for mga#16850

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064875
- New version 5.6.2

* Sat Oct 29 2016 neoclust <neoclust> 5.6.1-14.mga6
+ Revision: 1063879
- Add P101: Fix a dolphin crash (  bko #359758 )

* Sat Sep 03 2016 daviddavid <daviddavid> 5.6.1-13.mga6
+ Revision: 1049966
- fix conflicting doc files: '/usr/share/doc/qt5/global/' should not be in
  doc subpackage as they are already in common subpackage

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-12.mga6
+ Revision: 1049772
- recommends qttools5-assistant instead
- use 'make docs' instead

* Wed Aug 31 2016 daviddavid <daviddavid> 5.6.1-11.mga6
+ Revision: 1049625
- build missing docs part (mga#9812)
- add qtbase5-doc subpackage
- fix qt5-check-opengl2.sh file permission (mga#19238)

* Wed Jun 29 2016 neoclust <neoclust> 5.6.1-10.mga6
+ Revision: 1038090
- New version

* Wed Jun 01 2016 neoclust <neoclust> 5.6.0-10.mga6
+ Revision: 1019678
- More fixes on obsoletes

* Tue May 31 2016 neoclust <neoclust> 5.6.0-9.mga6
+ Revision: 1019581
- Fix typo in obsoletes

* Fri May 13 2016 shlomif <shlomif> 5.6.0-8.mga6
+ Revision: 1014946
- Rebuild for new ICU

  + neoclust <neoclust>
    - Requires cmake-rpm-macros at build time

* Mon May 02 2016 neoclust <neoclust> 5.6.0-6.mga6
+ Revision: 1008638
- Fix obsoletes

* Sat Apr 23 2016 neoclust <neoclust> 5.6.0-5.mga6
+ Revision: 1005489
- Force to use gstreamer 1.0

* Sun Apr 10 2016 doktor5000 <doktor5000> 5.6.0-4.mga6
+ Revision: 1000164
- add Requires on glxinfo needed for script qt5-check-opengl2.sh

* Mon Apr 04 2016 neoclust <neoclust> 5.6.0-3.mga6
+ Revision: 998360
- Rebuild to make this fix available on ARM

* Sat Apr 02 2016 zezinho <zezinho> 5.6.0-2.mga6
+ Revision: 997651
- Add Fedora xinit script to allow software on OpenGL 1 hardware (mga#17912)

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992267
- New version 5.6.0

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.4.mga6
+ Revision: 987814
- Rebuild Qt5 Stack to fix plasma crashes

* Thu Mar 03 2016 umeabot <umeabot> 5.6.0-0.rc.3.mga6
+ Revision: 983980
- Rebuild for openssl

* Wed Mar 02 2016 blino <blino> 5.6.0-0.rc.2.mga6
+ Revision: 981754
- rebuild for new openssl

* Mon Feb 29 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980698
- New version 5.6.0 rc

* Sun Jan 24 2016 neoclust <neoclust> 5.6.0-0.beta.8.mga6
+ Revision: 926846
- Fix crash when opening files ( mga #17443 )

* Sat Jan 16 2016 akien <akien> 5.6.0-0.beta.7.mga6
+ Revision: 924753
- Properly obsolete the qtbase5-database-plugin-* from mga5 (mga#17371)

* Sat Jan 02 2016 luigiwalser <luigiwalser> 5.6.0-0.beta.6.mga6
+ Revision: 918283
- rebuild without directfb

* Fri Jan 01 2016 luigiwalser <luigiwalser> 5.6.0-0.beta.5.mga6
+ Revision: 917919
- rebuild for icu

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915980
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915773
- Rebuild against new cmake to have cmake() provides

* Sun Dec 20 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912726
- Remove private devel packages

* Fri Dec 18 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911700
- New version 5.6.0 beta

* Fri Dec 18 2015 neoclust <neoclust> 5.5.1-7.mga6
+ Revision: 911597
- Add fedora macro to remove qtk2 deps

* Mon Nov 30 2015 neoclust <neoclust> 5.5.1-6.mga6
+ Revision: 907321
- Add xcb as build deps

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-5.mga6
+ Revision: 900363
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.5.1-4.mga6
+ Revision: 900199
- Fix Qt config file storage location

* Wed Nov 04 2015 neoclust <neoclust> 5.5.1-3.mga6
+ Revision: 897772
- Rebuild to make availaable on ARM

* Tue Oct 27 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 895901
- Libify databases plugins

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894488
- New version
- New version

* Thu Oct 22 2015 blino <blino> 5.5.0-5.mga6
+ Revision: 894063
- revert upstream patch that forbids -reduce-relocations on ARM, since -Bsymbolic is fixed on ARM in ld 2.25 (QTBUG-36129 and binutils#16715)
- do not require qttranslations5 in bootstrap (it needs qtbase to be built)
- remove unused local_phonon_package build conditional

* Sun Sep 06 2015 neoclust <neoclust> 5.5.0-4.mga6
+ Revision: 873566
- Rebuild against new sqlite ( 3.8.11.1 )

* Sun Sep 06 2015 neoclust <neoclust> 5.5.0-3.mga6
+ Revision: 873354
- Rebuild against new sqlite

* Sat Jul 25 2015 cjw <cjw> 5.5.0-2.mga6
+ Revision: 857253
- rebuild for icu 55

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853374
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;
- Delete old patches and sources;

* Mon Jun 22 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 839338
- New version 5.5 rc

* Wed Apr 22 2015 luigiwalser <luigiwalser> 5.4.0-7.mga5
+ Revision: 820558
- add patches from fedora to fix CVE-2015-1858, CVE-2015-1859, and CVE-2015-1860

* Sat Feb 28 2015 lmenut <lmenut> 5.4.0-6.mga5
+ Revision: 817205
- add upstream patch to fix DoS vulnerability in the BMP image handler
  (CVE-2015-0295) mga#15383

* Sun Feb 08 2015 doktor5000 <doktor5000> 5.4.0-5.mga5
+ Revision: 814176
- added upstream patch to fix broken drag&drop for 5.4.0 (QTBUG-43436)

* Tue Jan 06 2015 cjw <cjw> 5.4.0-4.mga5
+ Revision: 808796
- sync csh profile script with sh profile script and add needed escape chars (mga #12826)

* Sat Dec 27 2014 neoclust <neoclust> 5.4.0-3.mga5
+ Revision: 806365
- Add csh/tcsh profile support mga #12826

* Tue Dec 23 2014 neoclust <neoclust> 5.4.0-2.mga5
+ Revision: 805003
- Fix Requires for translations Mga#13993 #14746

* Thu Dec 11 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802720
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-7.mga5
+ Revision: 802011
- New version 5.3.2

* Sat Nov 29 2014 doktor5000 <doktor5000> 5.3.1-7.mga5
+ Revision: 799847
- disable SSE2 on %%ix86 otherwise QT crashes on processors without SSE2
  o fixes (mga#13991), (mga#14229), (mga#14418), (mga#14491)
- provide SSE2-enabled library in separate subdir as recommended by upstream
  o SSE2 library located in %%{_qt5_libdir}/sse2/

* Tue Nov 25 2014 cjw <cjw> 5.3.1-6.mga5
+ Revision: 799031
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-5.mga5
+ Revision: 744026
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 lmenut <lmenut> 5.3.1-4.mga5
+ Revision: 738085
- fix duplicated /usr/lib(64)/qt5/bin in $PATH"

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Tue Aug 05 2014 neoclust <neoclust> 5.3.1-3.mga5
+ Revision: 659910
- Add new macro %%_qt5_qml

* Thu Jul 03 2014 neoclust <neoclust> 5.3.1-2.mga5
+ Revision: 642870
- Workaround a bug in Qt 5.3.1

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639773
- 5.3.1
- update url

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624039
- 5.3.0 final

* Sun May 18 2014 sander85 <sander85> 5.3.0-0.rc.2.mga5
+ Revision: 623527
- Rebuild for directfb

  + fwang <fwang>
    - drop old tarball

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621401
- 5.3.0 rc1

* Thu May 01 2014 luigiwalser <luigiwalser> 5.3.0-0.beta.2.mga5
+ Revision: 619144
- rebuild for directfb

* Sat Apr 05 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 611995
- 5.3.0beta

* Sat Apr 05 2014 wally <wally> 5.3.0-0.alpha.2.mga5
+ Revision: 611893
- rebuild for new icu

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598773
- New version 5.3.0 Alpha1

* Mon Feb 17 2014 neoclust <neoclust> 5.2.1-4.mga5
+ Revision: 594070
+ rebuild (emptylog)

* Mon Feb 17 2014 neoclust <neoclust> 5.2.1-3.mga5
+ Revision: 594037
- Fix previous commit by moving requires in the good package

* Mon Feb 17 2014 neoclust <neoclust> 5.2.1-2.mga5
+ Revision: 593983
- Fix Requires in qtsql5-devel

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584171
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556694
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554396
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547083
- use xkbcommon instead
- br xcb-xkb

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547072
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538802
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490404
- New version 5.2.0 alpha

* Thu Sep 26 2013 fwang <fwang> 5.2.0-0.0.20130523.9.mga4
+ Revision: 486794
- rebuild for icu 52

* Sat Aug 10 2013 wally <wally> 5.2.0-0.0.20130523.8.mga4
+ Revision: 465090
- add more cmake fixes (rediff patch)

* Sat Aug 10 2013 neoclust <neoclust> 5.2.0-0.0.20130523.7.mga4
+ Revision: 465081
- Add fedora patch to fix cmake path search

* Sun Jun 02 2013 fwang <fwang> 5.2.0-0.0.20130523.6.mga4
+ Revision: 434633
- rebuild for new libpng

* Tue May 28 2013 neoclust <neoclust> 5.2.0-0.0.20130523.5.mga4
+ Revision: 429226
- No more ld.so.conf.d needed as we moved the libs in %%_libdir

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.4.mga4
+ Revision: 428776
- Adapt to new lib tree on macros

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.3.mga4
+ Revision: 428745
- Try to move libs in %%_libdir

* Sun May 26 2013 fwang <fwang> 5.2.0-0.0.20130523.2.mga4
+ Revision: 427996
- rebuild for new icu

* Thu May 23 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 425324
- New Qt 5.2 Snapshot

* Tue Apr 16 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410186
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-2.mga3
+ Revision: 394069
- Fix Requires

* Fri Feb 01 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393866
- New version 5.0.1 Final

* Wed Jan 30 2013 neoclust <neoclust> 5.0.1-0.rc1.8.mga3
+ Revision: 393551
- Add Requires

* Wed Jan 30 2013 neoclust <neoclust> 5.0.1-0.rc1.7.mga3
+ Revision: 393536
- Add macro about makeinstall for qt apps

* Tue Jan 29 2013 neoclust <neoclust> 5.0.1-0.rc1.6.mga3
+ Revision: 393126
- Make qtbase5-devel a metapackage

* Tue Jan 29 2013 neoclust <neoclust> 5.0.1-0.rc1.5.mga3
+ Revision: 393072
- Split cmake files  out of main devel packages
- Split private headers out of devel packages
- Rename devel packages

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.4.mga3
+ Revision: 392561
- Add openvg support

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.3.mga3
+ Revision: 392554
- Try to fix gstreamer support

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 392544
- Try to add gstreamer support

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392329
- New version 5.0.1 rc1

* Fri Jan 25 2013 fwang <fwang> 5.0.0-12.mga3
+ Revision: 392253
- unify qt5 doc dir
- use xz

* Fri Jan 25 2013 fwang <fwang> 5.0.0-11.mga3
+ Revision: 392220
- drop invalid provides as it will conflicts with qt4
- only call ldconfig when acturall libs are installed
- move ldconfig script into conditioned location

* Fri Jan 25 2013 fwang <fwang> 5.0.0-10.mga3
+ Revision: 392205
- add rpm file triggers so that ldconfig is alwasy run

* Thu Jan 24 2013 neoclust <neoclust> 5.0.0-9.mga3
+ Revision: 392006
- Fix typo in macros

* Thu Jan 24 2013 neoclust <neoclust> 5.0.0-8.mga3
+ Revision: 391945
- Fix typo in macros

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-7.mga3
+ Revision: 391721
- Fix macros
- Fix typo in comment

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-6.mga3
+ Revision: 391719
- Add back ld.conf

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-5.mga3
+ Revision: 391695
- Revert path changes, as includes files conflicts with qt4

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-4.mga3
+ Revision: 391675
- First try to move libs in libdir

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-3.mga3
+ Revision: 391267
- Do not remove .a files

* Sun Jan 13 2013 umeabot <umeabot> 5.0.0-2.mga3
+ Revision: 379965
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 335181
- Qt  5.0.0 Final

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.4.mga3
+ Revision: 322896
- Add missing requires in the devel package

* Thu Nov 29 2012 neoclust <neoclust> 5.0.0-0.rc1.3.mga3
+ Revision: 322796
- New Qt5 rc1 daily snapshot

* Tue Nov 27 2012 neoclust <neoclust> 5.0.0-0.rc1.2.mga3
+ Revision: 322265
- Remove missing deps

* Mon Nov 26 2012 neoclust <neoclust> 5.0.0-0.rc1.1.mga3
+ Revision: 322187
- Daily rc snapshot

  + fwang <fwang>
    - update url

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.20.mga3
+ Revision: 319123
- Fix libs name

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.19.mga3
+ Revision: 319086
- Fix wrong requires in opengl package

* Fri Nov 16 2012 neoclust <neoclust> 5.0.0-0.beta.18.mga3
+ Revision: 318971
- Fix requires on the devel package

* Fri Nov 16 2012 neoclust <neoclust> 5.0.0-0.beta.17.mga3
+ Revision: 318400
- Add Master patch to rename libs and allow qt4/Qt5 co installation

* Thu Nov 15 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 318235
- imported package qtbase5

